//
// Copyright 2014 Perforce Software Inc.
//

using Perforce.Helper;
using Perforce.Model;
using Perforce.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Perforce.ViewModel {
    public class WorkspaceSelectorViewModel : SidebarSelectorViewModelBase {

        public WorkspaceSelectorViewModel(SidebarSelector view) : base(view) {
        }

        public override SELECTOR_TYPE SelectorType {
            get { return SELECTOR_TYPE.WORKSPACE; }
        }

        public override void Refresh() {
            if (IsRefreshable) {
                var grid = View.SidbebarView.ListingGrid;
                if (grid != null) {
                    foreach (var child in grid.Children) {
                        if (child is Refreshable) {
                            (child as Refreshable).Refresh();
                        }
                    }
                }
                base.Refresh();
            }
        }
    }
}
